MixVibes Help PRO header

MixVibes HELP PRO version 2.20

      Past1.gif (491 octets) Introduction
      Past1.gif (491 octets) News
      Past1.gif (491 octets) Options / System
      Past1.gif (491 octets) Basic Functions
      Past1.gif (491 octets) Pro Functions
      Past1.gif (491 octets) Shortcuts
      Past1.gif (491 octets) FAQ
      Past1.gif (491 octets) Thanks

info@mixvibes.com
 Copyright © MIXVIBES 1999
All rights reserved.


MixVibes Help introduction

Introduction
  Past1.gif (491 octets) Setting audio cards
  Past1.gif (491 octets) Definition
  Past1.gif (491 octets) Views

Past1.gif (491 octets) Drag and drop

  screengeneral2.jpg (77426 octets)

Settings audio cards

If you have more than one audio card installed you have to go to the menu options and set audio cards drivers and mixer for each out port.

The number of audio cards will determine the number of out ports.

MixVibes can mix any number of sound files in each out port (audio card).

See options help

Definition

Media

A media represents a sound file with all informations relative to this file.

ID3 tag informations (not limited to 30 caracters) :

  • Title
  • Author
  • Album
  • Comment
  • Genre
  • Year

You can import or export from MixVibes file format and information to ID3 tag format and m3u format.

Specific informations to MixVibes :

  • Base Tempo (music tempo with normal speed)
  • Remix field
  • Pick (1 to 5 hearts)
  • Position for starting and ending (in ms)
  • Volume / pan (in 10*db)
  • Gain in db
  • Fade in and Fade out (in sec)
  • Audio out (each audio cards is affected to number out)
  • Mixer channel associated where the media will be displayed when playing
  • Speed in percent
  • Loop check
  • Equalization and kill frequency : bass / middle / treble

You can add a cover file to a media (image file .jpg/.gif or html file).

Format file compatible

  • mpeg files : mp1, mp2, mp3
  • ms audio files : .wma, .asf
  • wave and compressed wave files : .wav (ms adpcm, ima adpcm, ...)
  • unix files : .au
  • mac files : .aif, .aiff
  • midi files : .mid

Event

An event is a time stamp information : the playlist is composed of events.

An event is associated with a media and has a start time, a duration.

There are 5 kinds of event :

  • Play event where you can define fade in, level for volume and pan at starting
  • Stop event where you can define fade out
  • Volume event
  • Cross fade event
  • Pan event
  • Eq event (bass/mid/treble)

Views

There are 3 views in MixVibes. Each view is dynamic and can be closed and reopened.

At restart, Mixvibes will recall all views present in last exit.

Mixer View

There are 4 channels in the mixer. Each channel can control a media.

You can control in real time all informations on a media.

You can change the media active in each channel with the media channel list (also with drag and drop).

Media List View

The media list all media in the MixVibes file. You can put thousands of media in a file.

There are 2 kinds of display : list (only name display) or details (more info).

You can display your media with order (many kind of sorts are available) and a powerful search function can be used.

You can start or stop a media in this view by a simple double click. You can also used space key for starting the selected media and back key for stopping it.

You can select more than a media for multiple operation : for ex. start 2 media or more at same time (see selection).

There are 2 icons (see in Title first 2 columns) :

highlight icon

media state icon : unload / play / stop / fade in / fade stop

Playlist View

The playlist View display all events. There can be any number of event and more than an event can start at the same time. Events are displayed by start time order.

There are 2 kinds of display : list (start time and media name associated) or details (more info).

An icon (first report field) is defined for the type of event (play or stop).

Drag and drop

MixVibes uses mainly the concept of drag and drop.

You can drag and drop inside each view and between views.

Mixer View

drag inside the view change the channel affectation or do a beat matching if the key shift is pressed when dragging

drag in the playlist view insert the media in the channel into the playlist

Media View

drag inside the view change the position in the list of the media

drag in the mixer view do a channel affectation for the media drag with the channel mixer droped.

drag in the playlist insert all media selected in the playlist.

Playlist View

drag inside the view change the position in the list of the event


MixVibes Help news

News 2.20

1) Cue mode Correction (like hardware DJ CD pro)

2) Frame mode and save frame in file

3) Save the size of main window when exit

4) Pitch bend slider

5) JogDial

6) Auto CrossFading with auto beat matching

7) Pitch bend keys

8) Record mode and new save events : volume, pan, cross fade, equalization

9) Settings window

10) Add 2 fields for media : remix and pick

11) Sort media with header click (in media list)

12) Call Internet link in mp3 tag with Ctrl+Enter (in media list)

13) stream mp3 compatible (http or ftp)

News 2.10

correction bugs

  1. beat matching
  2. select playlist item with stop event
  3. edit with multi selection
  4. media list header text (std version)
  5. cue mode if stop the media outside the mixer (pro)
  6. nt4 (directx 3.0) compatible : change on fly, cue mode, scratch (pro)
  7. midi commands for midi controlers (control freak, peavy ...)
  8. windows exit or end session

News Functions

1) save the mix in a wave or mp3 file (pro version)

2) beat matching selected media

3) beat counting dailog box

News 2.02

Correction Bugs

  1. mp3 performance (Xaudio mp3 codec)
  2. automix function (or drag mix) with media start/end position
  3. playlist reselection
  4. open (or drag) a file already opened in mixvibes
  5. record mode
  6. beat matching
  7. speed back
  8. equalization on stereo file

News Functions

1) no more limitations for codec ms audio aif au ...
Now you can equalize and speed all these files

2) perfect looping
you can perfectly loop your samples (no more latency on loop)

3) load mode
files are automatically loaded when selected in the mixer then you can perfectly synchronize 2 music

4) you can add a cover for a media (a cover file can be .jpg .gif or .htm file)

5) tempo are saving in mp3 Tag then you can find back the tempo from the file

6) save music file mp3 (or others codecs) to wav

7) scan any drive or directory (with all child directories) to find media and add in the media database

8) you can change colors in mixvibes for the mixer, media database, playlist ...

9) mouse and move
if you click in the mixer channel counter (not the main counter) and move the mouse in right, left, down, up direction (with mouse button down), the media playing will be moved

10) mouse wheel can control all MixVibes controls (volume pan eq gain and also mixer counter for moving the media) just be over the control and turn the wheel

11) improvments for main volume and talk over

News 1.1.0

Correction Bugs

  1. windows NT no working
  2. speed do not affect really duration media (even you see change)
    then media finished too early
  3. 2 Midi media not folowing
  4. freeing audio media for au aif file formats
  5. play event not setting vol and pan to media
  6. change path no set the flag modified to document
  7. registration dialog box
  8. dialog box position field too short

News Functions

1) Talk Over see microphone icon (toolbar)
you can set fade time and db attenuation (see options)
Talk over fade out and in automatically all audio channels
then you can speak on the music with your micro

2) Master/Slave
A master channel can manage all slave channels for :
volume, pan, equalization, out, speed, start, stop, moving

a master channel is set M in the mixer
a slave channel is set with the number of master channel

3) Beat Matching
Select the media in the mixer to be matched and drag and drop
with shift key pressed on the media in the mixer to match
(you will see cursor =)
if you don't press shift key the media move to the mixer channel dropped

4) Speed Back see icon with 2 arrows icon (toolbar)

5) Find / Find Next

6) Shuffle play list

7) system dialog box

8) Cross fader
enable on/off media fader in the mixer
auto start a media in cross fading (if not media starting)
3 types cross fader

9) Select All

10) Tooltips in mixer

11) Save number of views at exit

12) Init directory search (media without full path)

13) new file formats :
MS AUDIO .wma .asf
Real Audio .ra

14) Auto affectation for mixer channels folowing a play list (1234321...)

15) replay the media with numpad key + alt key
Alt-1 replay the media in mixer channel 1
1 play/stop the media in mixer channel 1

16) keyboard control for all potentiometers

Keys | Actions
up (or right) | increase
down (or left) | decrease
PgUp | high increase
Pgdn | high decrease
Home | min
End | max
key / | middle


MixVibes Functions Pro

Functions PRO
Cue Mode
Frame
Active channel
Scratch
Monitoring
Midi Control
Midi Beat counting
Real Time audio effects
Customizable number of channels (2 to 16)
10 bands stereo equalizer
Save mix to wave or mp3 file
Record Events
Video
Digital Voice
Autorun and radio programmation

Cue Mode

cuemode.jpg (5933 octets)

For selecting the Cue Mode, select the icon Cue in toolbar.

Then these 3 buttons will be changed to :

  • Play = Play/Pause
  • Stop = Cue
  • Add = Play Frame
    •

    Here the action of each buttons

    1) Button Play/Pause
    Play media if media is in pause or stop
    Frame the media if media is in play (frame looping)

    2) Button Cue
    if media is in play or stop, go back in last Cue point (and stop)
    if media is in frame save the cue point and stop
    if media is stop and at cue point, a new stop goto init position without resetting cue point
    to reset cue point double click in cue button

    if you click to Reset button in ToolBar (or unload le media) the Cue point will be reset

    3) Button Play Frame
    if media is in stop or play start the media in frame looping
    if media is in frame restart the frame at beginning

    Frame

    Frame is an interval of time in the media (from 100ms to 9600ms). MixVibes loop this interval when you select a frame.

    To select a frame :

    - either when you press the button Play when playing (see Cue mode)
    - either when you press the button Play frame (see Cue mode)

    When you are in Frame, the level window will change, and display the frame length in ms and in beat count and the progress inside the frame.

    You can set the frame in beat (1 à 16) or in ms. MixVibes transforms beat in time depending of bpm value (base tempo). The interest of setting frame length to a number of beat is to get a perfect looping when you go to frame.

    There are 2 ways to set the frame :

    1) in edit media dialog frame length (mixer tab). The change is done at media load.

    cuebeat.jpg (3662 octets) 2) when a media is in frame, click the level window and enter time either in ms (for ex. 500ms) either in beat (for ex. 4) .

    When the media is in frame, the buttons forward and backward move the media in frame length
    Then if you set to 4 beats, moving will respect the musical interval

    Increasing the frame length will increase the time to backward or forward frames and also the latency time for equalization and effects.
    The equalization or effects will not changed the sound of current frame looping. As soon as you restart (or move frames), the change will be listened.

    The frame length specify the latency time. The frame length default can be set in the system dialog box (menu File->Options->System).
    The frame length have to be minimum 7 times the frame interrupt time (default is 10).

    The minimum frame length is 100ms (default 500ms) and the minimum frame interrupt is 20ms (default 50ms). If your PC is powerful (at least PII350), you can set frame length and frame Interrupt to 300ms/40ms with no troubles.

    All changes in equalization or effects have the latency of the frame length time.

    As Cd performance is lower than hard drive, MixVibes will automatically set the frame length and frame interrupt to 2000ms/400ms for files playing from a cd (wav or mp3).

    You can save the frame in a file. When you are in Frame right click in the mixer channel and choose in the context menu the command "save frame in file".

    Active mixer Channel

    When you click in any button of a mixer channel (play, stop, add, edit ...) or volume, pan sliders or equalization knobs
    then the channel become active. The number of channel active will be in highlight

    keyboards keys will be executed by the active channel :

    Pc keys | Actions
ENTER | Play or Play/Pause (in cue mode)
Backspace | Stop or Cue (in cue mode)
Space | Play or Play Frame (in cue mode)
Right | Forward Frame of 2ms
Up | Forward Frame of 10ms
Left | Backward Frame of 2ms
Down | Backward Frame of 10ms
    Home | Increase Frame of 1ms
Page Up | Increase Frame of 10ms
End | Decrease Frame of 1ms
Page Down | Decrease Frame of 10ms

    Scratch

    scratch.jpg (3792 octets) Scratch works like mouse move. For starting a scratch we have to set the cue mode and put in loop a frame (play button), then you can scratch the frame. Click in the mixer channel counter and move the mouse in right, left, down, up direction (with mouse button down) the frame will be scratched. Try any kind of moves (circle, triangle ...) with left mouse button down.
    The type of speed (see toolbar) change the power of scratch.

    Monitoring

    monitoring.jpg (1276 octets) Before monitoring, you have to select the monitoring audio card in dialog box options (menu File->Options->General). For monitoring a channel just check the green led.

    Midi control

    MixVibes can receive midi messages. Check midi options in dialog box general options (menu File->Options->General) and select the midi in port.

    Midi message managed : Note On, Pitch Bend, Control Change Main Volume (7), Control Change Modulation (1)

    MixVibes can be used with a standard midi keyboard or with midi controler (Control Freak, Phatboy, Peavy, Korg ...)

    Midi Note On messages

    First you have to set the channel note (menu File->Options->General). The default value is C3 corresponding to first key to a midi keyboard.

    Then C3 will be associated with mixer channel 1, C#3 with mixer channel 2 and so on...

    Start a media
    If you press a key in midi keyboard and there is a media (not playing) in the mixer channel associated, the media will be started.
    The key velocity will set the volume for the media. The mixer channel will become the current channel.

    Selecting a mixer channel
    If you want to select a new current mixer channel, press the midi key associated (only 1 time) when media is playing. All modulation or pitch bend messages (in midi channel 1) will set the current mixer channel.

    Stopping a media
    To stop a media, press key 2 times quickly (as mouse double click). if press 3 times quickly, the media will be stopped and rewind.

    Midi Note On messages are received in omni mode (for all midi channels).

    Midi Modulation messages

    if you want to change volume for a mixer channel, use the modulation wheel in the midi keyboard.
    The modulation will change volume for the current mixer channel.

    Option midi autostart (menu File->Options->General)
    When volume will be at lowest level, the media will be stopped
    When volume will be increased from this position, the media will be started.

    Midi Main Volume

    The main volume with midi channel 1 will change volume for the mixer channel 1.
    The main volume with midi channel 2 will change volume for the mixer channel 2 and so on...

    Midi Pitch bend messages

    If you want to change pitch for the a mixer channel, use the pitch bend wheel in the midi keyboard.
    The pitch bend will change speed for the current mixer channel.
    The speed range vary from -pitch bend range to +pitch bend range (see dialog box options : menu File->Options->General)
    By default it's -10% to 10%.

    Midi Beat counting

    if you select the option midi beat counting (see dialog box options : menu File->Options->General), then you can do beat counting with midi keyboard. First Start a music either in pressing a midi key or with play button in mixer channel and after press the midi key associated in rhythm of the music. As for pc keyboard, MixVibes will do the average on 30 last tapes.
    Doing beat counting with midi is more accurate.

    Real Time audio effects

    sfx.jpg (1600 octets) MixVibes include 6 real time audio effects : echo, reverb, flange, chorus, phasing, filter, modulation.
    3 effects can be defined for a media. Effects settings will be saved in mix file (.vib).
    a new "SFX" window is displayed in the mixer view for all music files (except midi files).
    You can double click in this window to edit effects.
    The effects volume is directly managed without the dialog box Apply command.
    For others parameters, you have to click Apply button.

    If an effect saturate, change the gain for the media.

    Soonly, you will able to include directx plug-ins.

    A removal voice can be also defined in media edit (removal voice).

    Customizable number of channels (2 to 16)

    To set the number of channels change in toolbar the last list box (2ch, 3ch...)
    The number of channels is saved in the mix file (.vib). Then if you load a new file, the number of channels can change.

    Caution !!!
    Setting 16 channels will use a lot of windows graphic resources then it is preferable to close all others applications (for windows NT or NT 2000 this problem doesn't appear).

    10 bands stereo equalizer

    This equalizer will set all files playing

    Save the mix in wave or mp3 file

    You can save your mix in a wave or mp3 file. If you want to save the mix in mp3, select the extension mp3 and choose the mp3 bit rate.
    MixVibes can even generate cue sheet file for recording audio cd.
    If you want to do audio cd with your mix, save your mix in a wave file and ask to generate a cue sheet file.
    run dao.exe (disk at once) with this cue sheet file (see http://www.goldenhawk.com/).With this software, the audio cd will be with no gap (2 seconds between tracks). Of course, your mix file cannot be longer than 74mn and cannot include more than 99 tracks.
    The program use Blade Encoder for mp3 convert.

    Record Events

    If you check the option record mix (icon record in toolbar commands), then MixVibes will record all events : play, stop, volume, pan, cross fade, equalization that you enter in playlist.

    There are 2 options for setting the record mode.

    in menu options->general

    "record audio port" Select the audio port where record events (0= All, 1= only audio port 1 ...)

    "record interval in ms" for filtering events too near in timer for ex. if you set 100ms only events in interval of 100ms will be saved

    Video

    3 video windows and multiple monitor is supported
    MixVibes can support multiple monitors on win 98 and win 2000
    Test has been done with 1 ATI RAGE PRO AGP and 1 ATI RAGE PRO PCI and win 98.
    Video can be use like sound cards with switching the out port.
    Mouse wheel and move buttons can play picture per picture on video if stopped (and loaded = mixer green state led on). Then we can try to play video picture per picture on the rhythm of a music.

    You can put (and restore) video in full screen by clicking in the video window or edit menu -> options -> video

    Digital voice

    Normally digital voice is installed on ie5 or ie4 with microsoft agent but there is only 1 voice defined
    To install digital voice or to have more voices (robot voices for example).

    Go to microsoft site and install speech engines :
    http://www.microsoft.com/iit/download/speechengines.htm?Yes=I+ACCEPT#_tts
    or http://www.microsoft.com/iit (voice home)

    There are 3 files if you install all you will have many kinds of voices. You can use also speech engine from others companies (see Lernout Hauspie IBM ...)

    To enable digital voice goto menu options ->general->check digital voice and restart. Digital voice is long to initialize then MixVibes will take 5-10 seconds to load.

    MixVibes can define 3 kind of voices.

    You can program like automatic fade when the voice will be listened after the start of a media (for ex 5 seconds after the media start) and you can customize the voice message with commands for each media.

    These Commands will be replaced by the field media assiociated

    &t TITLE
    &a AUTHOR
    &l STYLE
    &b ALBUM
    &y YEAR
    &C COMMENT
    &s START
    &e END
    &H HOUR
    &D DAY
    &V EVENT number
    &M MEDIA position

    Autorun

    You can create autorun files. Then if you place all files in removal support, windows will start automatically your mix file (like a audio cd).
    You can burn all files in the autorun directory to do a autorun cd.

    commands line for mixvibespro.exe

    mixvibespro mixfile [commands ...]

    mixfile: any mix file name with path (and with extension .vib)

    commands

    /R [starttime] [startlist] : run at starttime (HH:MM:SS) the play list at the item number startlist (if startlist=0 then shuffle)

    /L: Loop the playlist

    /C: Close the playlist at end

    For example: mixvibespro e:\groove.vib /R 11:00 5 /L wil run mixvibes at 11:00 the playlist e:\groove.vib and start the playlist at item 5.

    You can use time more than 24 hour. For example : 30:00 for tomorrow morning 6:00

    You can use these commands to run night playlist (radio) or to wake up with a mix.

    Don't forget that you can run more than 1 mixvibespro.

    Mix Files (.vib) compatibility

    from version 1.1.2 to 2.x
    from version 2.x to 1.1.2
    from version 1.1.2 to pro 2.x
    But not from version pro 2.x to 2.x or 1.1.2 if you create effects for a media.


MixVibes Functions

Functions
    Add Media
    Play List
    Selection
    Edit Master Counter
    Edit Media Counter
    Master/slave
    Edit Event
    Arrange
    AutoArrange
    Cross Fader
    Automatic Fade
    Beat counting
    Beat matching
    Talk over
    Equalization and Kill Frequency
    Convert
    Changing colors
    Load state
    Mixer control lock
    DJ Name
    Mouse move and mouse  wheel

Add Media
For adding media files in MixVibes database there are 3 ways
  1. Command Add in menu or the button add in the each mixer channel
  2. Drag and drop in the media list view or in mixer channel or in playlist view
  3. Command scan for a drive or directory. this command will scan all
child directories to find media files.

Play List
There are 5 ways to create Playlist :
  1. Direct drag and drop from Windows to the Playlist View. All files will be inserted at the end
of the Playlist.
  2. Drag and drop from Mixer channel to Playlist View
Drag at the top of mixer channel. You can drag only 1 media.
  3. Drag and drop from Media List to Playlist View
you can select any number of media and you drop in Playlist View. All media
selected will be inserted in Playlist.
  4. AddToMix add the media selected in Playlist at the counter position (start time = counter time)
AddToMix can be activated with right click in Mixer View or Media List
  5. AutoMix function
Activate the Media List View and call the AutoMix function from menu.
We can add all the media list or selected media in the Playlist (All List check box).

  screen automix (9900 octets)
We can set in the AutoMix dialog Box :
    - The insert start time in Playlist (initially set with counter position)
    - The mix interval time : time interval before the next media in media list
      will start from the end of previous media
    - Fade in and out affected to all media inserted
Selection

screenmultiselect.jpg (27163 octets)

You can select more than 1 item in the Media List or in Event List.
The multi selection works like the multi selection in Windows

- select with the mouse right button
- Shift key pressed and select an item
- Ctrl key pressed and select an item (very usefull for no sequential selection)

These operations are relative to selection in Media List :
- Play/Stop
- Delete
- Change Path
 - Drag and drop for playlist
 - Save in wave

These operations are relative to selection in Playlist :
- Delete
- Arrange

Edit Master Counter

 screeneditcounter.jpg (19999 octets)

We can edit the master counter with double click in the counter field.
If the Playlist is running, the validation will set the playlist time in real time.

If you want go to a song number in the playList we can edit the counter, enter ":eventnumber" and validate.
For ex. ":10" go to the song number 10 (event 10).

All these operations are relative to the counter :

- Start the playlist
- Add To Mix
- AutoMix

The program will wait the validation (or cancel) of the field either with the key Enter (or Escape).

Edit Media Counter

screenedittime.gif (10920 octets)

You can edit the position time of the media in double clicking in the field.
If the media is playing, the validation will set the position time in real time.
The modification of the time position don't set the media start position.

Master/slave

A master channel can manage all slave channels for : volume, pan, equalization, out, speed, start, stop, moving

a master channel is set M in the mixer
a slave channel is set with the number of master channel

You can change master/slave settings by mouse clicking in the M or number case

Edit Event

screeneditevent.jpg (15307 octets)

You can edit the event in Play List :
- Select an event
- Tape Enter or with menu edit command

You can change start time in playlist, duration of event, fade and vol/pan settings.

The automatic Fade In is set with Play Event

The automatic Fade Out is set with Stop Event.

The vol is expressed in -decibel/10. For ex. -105 = -10,5db

The pan is expressed in decibel /10
negative:left channel attenuation / positive: right channel attenuation

Ex.:
-1000 = listen only the right channel
1000 = listen only the left channel
-15 = left channel attenuation of 1,5db

Arrange

If you want to change the start time of an event or many events, select 1 or more event in Playlist and run this function in the menu mix.

You can increase the start time in the play list (positive value) or decrease (negative value).

AutoArrange

If you set the Autoarrange option, when you will insert new events, delete events, or move events, the program will udpate the playlist start time for following others events.

Cross Fader
  crossfader.jpg (6170 octets)
The Cross Fader integrates 4 controls :
- Cross fade volume
- Pitch bend slider
- Jog dial
- Auto Cross Fading buttons

For using cross fader controls, you have to select the mixer channel with the spin called Cross fader channel A and B.
Set the number 0 for no selection. 1 for selecting the mixer channel 1 ...
After choosing the channels, all controls will be attached to each mixer channel.
Cross fade volume
If you move the crossfader thumb then the volume mix will be done between the 2 media inside each mixer channel.
Pitch bend slider
If you move this slider then the pitch for the media will be changed and as soon as  you release the mouse (or key), pitch will come back to initial value.
The field "Pitch bend %" (found in menu option->general or window settings)  specifies  the percentage range (-/+range) for pitch bend slider.
Jog dial
If you turn this control then you move the media position. Faster you turn faster the position will move.
The field "Jog Dial ms" (found in menu option->general or window settings)  specifies  the move value in ms when doing 1 turn of Jog Dial.
Auto Cross Fading
if you press the button A->B (or B->A) then an automatic cross fade will be made between selected media for A with selected media for B.
the field "fade time sec" (found in menu option->general or window settings)  specifies  the time of fade in seconds.
There are 3 types of cross fader (click in the number to change type).
You can enable on/off the change media fader by the cross fader (see red led)
and can select an auto start options for the media cross fading (see green led)
You can also use keyboard shorcuts for pitch bend and volume :
Pitch bend Cross fader channel A
F1: -4% (default)
F2: -2% (default)
F3: 2% (default)
F4: 4% (default)
Pitch bend Cross fader channel B
F5: -4%  (default)
F6: -2%  (default)
F7: 2%  (default)
F8: 4%  (default)
Volume for the Cross fader channel A
F9: decrease volume
F10: increase volume
Volume for the Cross fader channel B
F11: decrease volume
F12: increase volume
Automatic Fade
For setting in fade, select a media (with edit button in mixer or in media list)
check the box for fade in or fade out and set a timing for each fade in second
After modifing the media, if you play the media a fade-in will be done and
when you stop a fade-out will be done

Beat counting
For doing a beat counting place the cursor inside the tempo field in the mixer channel
and tape the key space at the rhythm of the music.
More you tape more accurate will be the beat counting (the program do the average
on 30 last tapes).
Beat matching

Select the media in the mixer to be matched and drag and drop
with shift key pressed on the media in the mixer to match (you will see cursor =)
if you don't press shift key the media move to the mixer channel dropped

Talk Over

if you want to speak on the music with your micro, you can use the talk over command (microphone icon on toolbar). for speaking, click in talk over icon and when stop speaking click back in the talk over icon for resetting normal volume.
You can set fade time and db attenuation (see options).
Talk over fade out and in automatically for all audio channels.

Equalization and Kill Frequency

The Equalization controls have a range of +/- 10 db.

You can do kill frequency in selecting the small buttons under the Equalization controls.

Bass kill freq : 200Hz
Middle kill freq : 500Hz
Treble kill freq : 3000Hz

Convert

convert.jpg (9131 octets)

If you select an item or group of item in media list, you can save all these files in a wave or mp3 format.
You select the directory where files will be placed and just click OK. Then you can transform mp3 files to wave format or wave to mp3.

The operation take care of start time and end time of the media.

If you uncheck the direct mode then the operation save with the equalization settings and stereo mode.

Changing colors

You can change the colors of all MixVibes Views : Mixer, Media list, Playlist and of the all buttons.
Select the color for the background or for text and border.
You can also choose color for mixer channel, cross fader, counter (master counter and mixer counter) and remove the display of screws.

Load state

When you select a media, it will be automatically loaded, then it can be start quickly.
When you stop, the media will stay loaded (as pause mode).
A click on stop button if media is stopped, will cue the media. A double click in stop buuton will be unload the media.
The play state (led in the mixer channel above the play button) show this state :
led on = media loaded / led off = media unloaded

Mixer control lock

if you check the mixer control lock options (see menu window or right click in mixer) then no change will be done by the media settings for out port, equalization and volume.

DJ Name

You can enter your DJ name go to the File Menu, choose option and set DjName.

MixVibes will replace by your name.

Mouse move and mouse wheel

movemouse.jpg (3946 octets) You can move media position with the mouse. If you click in the mixer channel counter and move the mouse in right, left, down, up direction (with mouse button down) the media position will be changed. the power of move depends the type of speed (see toolbar).

The mouse wheel can control all mixer controls (volume pan equalization gain ... and also mixer counter)
just be over the control and wheel


MixVibes Help options

Options / System
  options.jpg (23268 octets)

audio cards

The number of audio cards will determine the number of audio out ports.

You can choose for each audio out ports the audio cards selected. You have to choose also the right mixer.
MixVibes would take care of changes only after restarting the program.

Some audio cards can be seen as many audio drivers.

You can select the audio card using for monitoring in checking one monitor button

Others options

Move value: this value set the position increase (or decrease) for forward (or backward) in a media

Acceleration : this value set how many times the move value will increase each second when forward/backward buttons are staying pushed

Warning : time before the end of media will blink the green warning led

Fade time : when inserting media in playlist this value will determine cross fading time between 2 media folowing

Talk over fade and att. : set the fade time and attenuation for talk over command

Init dir : init directory when program start (if not empty)

Dj Name : you can enter your dj name then MixVibes will display at the left top mixer view your name in place of MixVibes letters

Digital voice : if you want to use the digital voice option, check this option. You have to restart MixVibes for the change. MixVibes can take more time to start with this option enabled.

Tooltip : MixVibes give information on the field above the mouse, if mouse stay without moving for 1 second
if tooltip is disabled then there will be no information but performance will be greater (tooltip consume some cpu when displaying)

Pitch bend range : Select the pitch bend range in % for the cross fader pitch bend and for the midi pitch bend control. then pitch can go to + or - this range

Volume range : Select the range for the cross fader volume in db then the cross fader down the volume for the media fade of this value
except at each cursor end where level is completly muted (-100db)

Jog dial Spin : this value indicates how many times the spin of jog dial will do in ms

Midi : Check this option if you want to use midi. You have to restart MixVibes for the change.

Midi Note Channel : set the midi key note when you want starting to correspond channel mixer. The default value is C3 corresponding to first key to a midi keyboard. Then C3 will be associated with mixer channel 1, C#3 with mixer channel 2 and so on...

Midi Autostart : if you select this option, then when up volume from mute will start the media and down volume to mute will stop the media

Midi Beat counting : if you select this option, then you can do beat counting with midi keyboard.

System
  system.jpg (7448 octets)

Frame Length : size of frame audio in ms.

Frame Interrupt : time period in ms when servicing the audio buffer. never set under 1/5 of frame length.

Audio latency : use for adjusting the start time of a sound media.

Video latency : use for adjusting the start time of a video media.

Create only directx Media streams : MixVibes can use Directx Media for mp3 in place of internal services. If you check this option, all medias will use the directx Media services and use same codec than used by Microsoft media player (for mp3 Microsoft use the Fraunofer-Gesellschaft IIS).
For back to internal services uncheck this option.

Priority : change priority program (after restarting)


MixVibes Help toolbar

ToolBar

screentoolbar.jpg (5958 octets)

from left to right

New : create a new mix
Open : open a existing mix
Save : save the current mix
Reset : reset will stop all playing media, stop the playlist and reset the counter to the beginning (0)
Play mix: start the playlist at counter position
Stop mix: stop the playlist and reset the counter. This command stop also all media playing
Record mix: record mode. All play and stop will be recorded but no others controls (volume pan ...)
Backward : go back the playlist of move value see option (default: 400ms)
Forward : go forward the playlist
- : go to the previous song (or keypad -)
+ : go to the next song (or keypad +)
shuffle : start the playlist at randomly event
down in the list: down the selected item in the media list or playlist
up in the list: up the selected item in the media list or playlist
Talk over : talk over

Display:
display play list (on/off)
display media list (on/off)
display main volume (on/off)

Options:
Loop : Loop the playlist
mixer change : enable the change from media list when you play media in the media list View
AutoArrange : autoarrange enable
Speed back: speed will back after mouse up
Speed type: how act up/down push buttons speed


MixVibes Help shortcuts

Keyboard Shortcuts
CTRL+I | Add Music
CTRL+V | Add Video
CTRL+G | Volume general
CTRL+N | New File
CTRL+O
 Open File
CTRL+S
 Save File
CTRL+A
 Select All
Ctrl+Space
Play/Stop Playlist
Ctrl+Enter
Internet Link (in media list)
Shift+ESC
 Reset
keypad + | Next song
keypad - | Previous song
keypad * | Talk Over
Space | play a media selected or frame the media in active mixer channel
BackSpace | stop a media selected or stop the media in active mixer channel
Enter
 Edit a item selected (media/event) or play the media in active mixer channel
keypad 1 | start/stop media selected in mixer 1
keypad 2 | start/stop media selected in mixer 2
keypad 3 | start/stop media selected in mixer 3
keypad 4 ... | start/stop media selected in mixer 4 ...
keypad 1 + Alt | restart media selected in mixer 1
keypad 2 + Alt | restart media selected in mixer 2
keypad 3 + Alt | restart media selected in mixer 3
keypad 4 + Alt .... | restart media selected in mixer 4 ...
keypad 0 | start/stop play list
F1-F4 | pitch bend for mixer selected in crossfader mixer A
F5-F9 | pitch bend for mixer selected in crossfader mixer B
F9-F10 | volume for mixer selected in crossfader mixer A
F11-F12
 volume for mixer selected in crossfader mixer B


Mix Vibes FAQ

FAQ

Install doesn't work ?
if installation program (install.exe) doesn't work, download the distribution .zip (mixvibes2x.zip),
unzip files in a directory and run mixvibes.exe. Only the file mixvibes.exe is neccessary to run mixvibes.
if you want later clean the Windows registry, you will execute uninstall.exe.

How can I connect headphones or another audio port ?
MixVibes can manage until 4 directx audio cards. To have an audio port for connecting headphones, you have to install a new audio card compatible with Directx. If your PC has USB ports and works with Windows 98 or NT 2000, you can also connect usb speakers (with the out port in your usb speaker you will able to connect headphones). USB audio is managed like a directx audio card. You can have more than 1 USB audio port.

List of audio cards tested

Sound blaster 16/32/64 ISA (2 can be installed)
Sound blaster 64 PCI (2 same SB 64 PCI cannot work but you can add with others SB cards see creative labs site)
Sound blaster 128 PCI (2 same SB 128 PCI cannot work but you can add with others SB cards see creative labs site)
Sound blaster SB LIVE PCI (2 same SBLIVE cannot work but you can add with others SB cards see creative labs site)
Audio card with Yamaha chipset
USB audio on windows 98 and NT2000 (2 or more can be installed)

For example for having 3 audio ports, you can install 1 SB 64 ISA + 1 SB LIVE + 1 USB speaker

Many others directx cards will work. try to take certified directx driver.

After installing a new card in your system, run MixVibes and go to menu options (general), check that MixVibes have found your card, select the audio card for each audio out and the correct mixer (MixVibes cannot affect automatically the correct mixer because there are different name in directx driver and mixer driver!) and restart MixVibes if you change something.

Can I mix with 1 only audio card ?
Yes, MixVibes can mix unlimited number of audio files. it's just limited by your PC.
mp3 files (128kbits stereo) use about 8% of cpu usage.
wave files (44100 stereo 16 bits) about 2%.
Tested on Pentium II 350 and Windows 98.

I listen some trigger sound or crackles when playing any file ?
The problem could come from your directx installation. To test your directx configuration you can download the Microsoft directx diagnostic utility.

Can I save the whole mix in wave file or mp3 ?
Yes with the version pro 2.10 or more, you can save your mix in a wave or mp3 file.
MixVibes can even generate cue sheet file for recording audio cd.
If you want to do an audio cd with your mix, save your mix in a wave file and ask to generate a cue sheet file.
Run CdrWin or dao.exe (disk at once) or others cdr software with this cue sheet file (see http://www.goldenhawk.com/).With this software, the audio cd will be with no gap (2 seconds between tracks). Of course, your mix file cannot be longer than 74mn and cannot include more than 99 tracks.
The program use Blade Encoder for the mp3 conversion.

Can I convert mp3 files in wav ?
Yes open the media list view, select 1 or more media and run the command convert (menu media->convert).
All files will be saved in a directory.

Can I convert wav files in mp3 ?
Yes with version pro, The program use Blade Encoder
same operation than above (choose mp3 format in the convert dialog box).

How can I add many audio files in same time ?
For adding many media files in MixVibes database there are 3 ways :

  • Drag and drop from Windows folders to the media list view, mixer channel or in playlist view,
  • Scan command from menu for a drive or directory,
  • Import a .m3u file

MixVibes database can manage a lot of media (test 3000 items without performance problem).

How can I do Beat calculation ?
There is 3 ways :

  • beat counting menu
  • place the cursor inside the bpm field in the mixer channel
    and tape the key space at the rhythm of the music.
    More you tape more accurate will be the beat counting (the program do the average
    on 30 last tapes).
  • with midi keys (pro version)
    set the options midi beat counting (menu options->general) and tape the key C (C#,D...) in your keyboard for first (second, third ...) media in the mixer at the rhythm of the music.

How can I mix video ?
The best way to do video mixing is to select 2 different video ports for the 2 videos. The 2 Video ports will be assigned to the same monitor and set to full screen (either with menu options->video->full screen or click in the video window).
For example you want to mix 3 video :
- move first video file in the mixer channel 1 select the out port 1
- move second video file in the mixer channel 2 select the out port 2
- move third video file in the mixer channel 3 select the out port 1
Use your keyboard (keynum 1) to start video 1. At the mixing time, use your keyboard (keynum 2) to start video 2
The video 2 will replace the screen and the music will fade as normal music file. Repeat the operation for third video.
You can also create video playlist and even replace the video sound with another music.
If you have 2 monitors, you will have in the other monitor mixvibes mixer and control all operations.

I don't listen sound file ?
if you see the mixer level led move:
- check the main mixer level (or Windows multimedia Volume), the audio volume is too low or muted.
- check audio driver assignment in menu options -> general : MixVibes can use another audio driver (and out) than the main

if you see no level :
- check the path of your files. if you have entered only a relative path (name of the file without the path) and change current directory then the file cannot be found at next play. If you want to use relative path, you can set init directory at menu options -> general.

Is there Cue command ?
Cue Mode has been introduced in version pro 2.10 but with some differences with hardware Dj CD pro. The version pro 2.20 solve these differences.
For setting the cue mode you have to select the icon CUE in toolbar command. Then the button Play will be change to Play/pause and button Stop to Cue. Morever MixVibes introduces a new concept: Frame. You can set the frame length to musical interval 1 to 16 beats when you pause (frame looping). The Frame looping concept is the easiest way to sample a music (MixVibes can also save a frame in a sound file).

MixVibes cannot load
if you see this message "MIXVIBES caused an invalid page fault module ASMAUDDECFF.DLL or xmp3dec.dll".
The problem comes from these dll not MixVibes (in fact MixVibes is not yet executed). These dll are not used and not installaed by MixVibes.
Rename these dll (for example *.old) in the directory where you find these 2 dll.
Some MixVibes users have done this manipulation without troubles for others programs in their PC. A bug is probably in these 2 dll.


MixVibes Help thanks

Thanks
To Franck Guez, Christopher Mulready, Didier Pierre Bloch, Nicolas Dussert